# About

## Who created this?

**WEBMIDI.js** is a passion project of mine. I am Jean-Philippe Côté (a.k.a. 
[djip.co](https://djip.co)), an 
[academic](https://www.cegepmontpetit.ca/cegep/recherche/professeurs-chercheurs/jean-philippe-cote) 
and artist with particular interests in creative coding, interactive arts and music technology. You 
can reach out to me in different ways:

* Twitter: **[@djipco](https://twitter.com/djipco)** or **[@webmidijs](https://twitter.com/webmidijs)**
* Website: **[https://djip.co/](https://djip.co)**
* GitHub: **[https://github.com/djipco/](https://github.com/djipco)**

One of my students, **Jean-Marie Gariépy** has also been helping out in various capacities with the
creation of this website. Let's all thank him for his contribution! 👏

## Sponsoring the project

You can [sponsor the project](https://github.com/sponsors/djipco/) by becoming a GitHub sponsor. All
you need is a GitHub account. If you see value in this library, please consider a contribution. 🙏🏻

## Licensing

Starting with version 3.0.0, this library is licensed under the **Apache License, Version 2.0**. You
may not use this library except in compliance with this license. You may obtain a copy at:

  * [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

Unless required by applicable law or agreed to in writing, software distributed under this license
is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
implied. See the above license for the specific language governing permissions and limitations.

© 2015-2021, Jean-Philippe Côté.

## Citing this Software in Research

I invite academics to show their support for this project by properly citing it wherever appropriate
in your references. Here's an example of how to cite it ([APA Style](https://apastyle.apa.org/)):

> Côté, J. P. (2021). WebMidi.js v3.0.0 [Computer Software]. Retrieved from 
> https​://github.com/djipco/webmidi

Here are a few examples of academic papers citing WebMidi.js:

* Lundh Haaland, M. (2020). The Player as a Conductor: Utilizing an Expressive Performance
  System to Create an Interactive Video Game Soundtrack (Dissertation). Retrieved from
  http://urn.kb.se/resolve?urn=urn:nbn:se:kth:diva-281324

* Bazin, T. & Hadjeres, G. (2019). NONOTO: A Model-agnostic Web Interface for Interactive
  Music Composition by Inpainting, presented at 10th International Conference on Computational
  Creativity, Charlotte, 2019. Retrieved from https://arxiv.org/abs/1907.10380

* Cárdenas, A. & Mauricio B. (2018). Diseño y desarrollo de un prototipo para integración de
  Tecnología de Tracking 3d con Tecnología MIDI [Doctoral dissertation, Pontificia Universidad
  Católica del Ecuador]. Retrieved from http://repositorio.puce.edu.ec/handle/22000/15838

If you are using WEBMIDI.js in your research, I would love to know about it. To notify me, you can 
simply drop me a note on [Twitter](https://twitter.com/djipco). By the way, I'm open to artistic
or academic collaborations.
